import React from 'react';
import Input from '../Common/Input';
import CountryList from '../Common/CountryList';
import * as countryActions from '../../Redux/actions/countryActions';
import * as userActions from '../../Redux/actions/userActions';
import { connect } from 'react-redux';
import { bindActionCreators } from "redux";

function HomePage(props) {
    return <><Input user_text={props.actions.user_text}
        fetch_countries={props.actions.fetch_countries}></Input>
        <CountryList countries={props.country.countries}></CountryList></>;
}
const matchStateToProps = (state) => {
    return {
        country: state.country,
        text: state.text
    }
}
const matchDispatchToProps = (dispatch) => {
    return {
        actions: {
            fetch_countries: bindActionCreators(countryActions.fetch_countries, dispatch),
            fetch_countries_begin: bindActionCreators(countryActions.fetch_countries_begin, dispatch),
            fetch_countries_success: bindActionCreators(countryActions.fetch_countries_success, dispatch),
            fetch_countries_error: bindActionCreators(countryActions.fetch_countries_error, dispatch),
            user_text: bindActionCreators(userActions.user_text, dispatch)
        }
    }
}

export default connect(matchStateToProps, matchDispatchToProps)(HomePage);