import { FETCH_COUNTRIES_BEGIN, FETCH_COUNTRIES_FAILED, FETCH_COUNTRIES_SUCCESS } from './actionTypes';

export function fetch_countries(result) {
    return function (dispatch) {
        dispatch(fetch_countries_begin(result))

        return window.fetch(`http://localhost:2019/api/country/${result}`)
            .then(response =>
                response.json(),
                (error) => {
                    dispatch(fetch_countries_error(error));
                }
            ).then((res) => dispatch(fetch_countries_success(res)));
    }
}

export function fetch_countries_success(result) {
    return { type: FETCH_COUNTRIES_SUCCESS, result };
}

export function fetch_countries_error(result) {
    return { type: FETCH_COUNTRIES_FAILED, result };
}

export function fetch_countries_begin(result) {
    return { type: FETCH_COUNTRIES_BEGIN, result };
}